petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDTAltVInterior

Compute the interior product of a k-form with a vector

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTAltVInterior(PetscInt N, PetscInt k, const PetscReal *w, const PetscReal *v, PetscReal *wIntv)

### Input Arguments

| N | - the dimension of the vector space, N >= 0
| k | - the degree k of the k-form w, 0 <= k <= N
| w | - a k-form, size [N choose k]
| v | - an N dimensional vector

### Output Arguments

wIntv -the (k-1)-form (w int v), size [N choose (k-1)]: (w int v) is defined by its action on (k-1) vectors {v_1, ..., v_{k-1}} as (w inv v)(v_1, ..., v_{k-1}) = w(v, v_1, ..., v_{k-1}).

### See Also

PetscDTAltV, PetscDTAltVInteriorMatrix(), PetscDTAltVInteriorPattern(), PetscDTAltVPullback(), PetscDTAltVPullbackMatrix()

### Level

intermediate

### Location

src/dm/dt/interface/dtaltv.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages